SEED.Mappings (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.symmetric

## Class SEED.Mappings

- java.lang.Object
- - org.bouncycastle.jcajce.provider.util.AlgorithmProvider
  - - org.bouncycastle.jcajce.provider.symmetric.SEED.Mappings

- Enclosing class:
    SEED

      public static class SEED.Mappings
      extends AlgorithmProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SEED.Mappings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addGMacAlgorithm(ConfigurableProvider provider, java.lang.String algorithm, java.lang.String algorithmClassName, java.lang.String keyGeneratorClassName)`
    `protected void` | `addPoly1305Algorithm(ConfigurableProvider provider, java.lang.String algorithm, java.lang.String algorithmClassName, java.lang.String keyGeneratorClassName)`
    `void` | `configure(ConfigurableProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SEED.Mappings

          public SEED.Mappings()

  - ### Method Detail

    - #### configure

          public void configure(ConfigurableProvider provider)

      Specified by:
        `configure` in class `AlgorithmProvider`

    - #### addGMacAlgorithm

          protected void addGMacAlgorithm(ConfigurableProvider provider,
                              java.lang.String algorithm,
                              java.lang.String algorithmClassName,
                              java.lang.String keyGeneratorClassName)

    - #### addPoly1305Algorithm

          protected void addPoly1305Algorithm(ConfigurableProvider provider,
                                  java.lang.String algorithm,
                                  java.lang.String algorithmClassName,
                                  java.lang.String keyGeneratorClassName)